Bug 19041 - footerjs = 1 removed by bug 17855
Summary: footerjs = 1 removed by bug 17855
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords: Academy
Depends on: 16058 17418 17855
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 15:09 UTC by Jonathan Druart
Modified: 2017-12-07 22:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19041: (bug 17855 follow-up) Fix regression on bug 16058 (1.37 KB, patch)
2017-08-07 13:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 19041: (bug 17855 follow-up) Fix regression on bug 16058 (1.43 KB, patch)
2017-08-07 13:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19041: (bug 17855 follow-up) Fix regression on bug 16058 (1.48 KB, patch)
2017-08-07 13:38 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-08-04 15:09:30 UTC
From 
  commit 0492fcf87f170846d1e6c8683916a56cb67ce9a7
    Bug 17855: Onboarding tool

+++ b/koha-tmpl/intranet-tmpl/prog/en/modules/intranet-main.tt
@@ -1,5 +1,3 @@
-[% USE Koha %]
-[% SET footerjs = 1 %]


+[% USE Koha %] has been re-added by
  commit 151cdcd133d8618a3faf9b47723d66ac3dc71b4e
    Bug 18673: News author does not display on staff client home page

But not the footerjs = 1

Reading the code I guess we lost the confirmation message when deleting a news item.
Comment 1 Jonathan Druart 2017-08-04 15:10:38 UTC
Regression introduced by bug 17855.
Comment 2 Jonathan Druart 2017-08-07 13:03:41 UTC
Created attachment 65538 [details] [review]
Bug 19041: (bug 17855 follow-up) Fix regression on bug 16058

From
  commit 0492fcf87f170846d1e6c8683916a56cb67ce9a7
    Bug 17855: Onboarding tool

+++ b/koha-tmpl/intranet-tmpl/prog/en/modules/intranet-main.tt
@@ -1,5 +1,3 @@
-[% USE Koha %]
-[% SET footerjs = 1 %]

+[% USE Koha %] has been re-added by
  commit 151cdcd133d8618a3faf9b47723d66ac3dc71b4e
    Bug 18673: News author does not display on staff client home page

But not the footerjs = 1

Test plan:
From the main page of the staff interface, delete a news item
Without this patch applied you will not get a JS confirmation message
Comment 3 Owen Leonard 2017-08-07 13:28:25 UTC
Created attachment 65546 [details] [review]
[SIGNED-OFF] Bug 19041: (bug 17855 follow-up) Fix regression on bug 16058

From
  commit 0492fcf87f170846d1e6c8683916a56cb67ce9a7
    Bug 17855: Onboarding tool

+++ b/koha-tmpl/intranet-tmpl/prog/en/modules/intranet-main.tt
@@ -1,5 +1,3 @@
-[% USE Koha %]
-[% SET footerjs = 1 %]

+[% USE Koha %] has been re-added by
  commit 151cdcd133d8618a3faf9b47723d66ac3dc71b4e
    Bug 18673: News author does not display on staff client home page

But not the footerjs = 1

Test plan:
From the main page of the staff interface, delete a news item
Without this patch applied you will not get a JS confirmation message

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Tomás Cohen Arazi 2017-08-07 13:38:48 UTC
Created attachment 65548 [details] [review]
Bug 19041: (bug 17855 follow-up) Fix regression on bug 16058

From
  commit 0492fcf87f170846d1e6c8683916a56cb67ce9a7
    Bug 17855: Onboarding tool

+++ b/koha-tmpl/intranet-tmpl/prog/en/modules/intranet-main.tt
@@ -1,5 +1,3 @@
-[% USE Koha %]
-[% SET footerjs = 1 %]

+[% USE Koha %] has been re-added by
  commit 151cdcd133d8618a3faf9b47723d66ac3dc71b4e
    Bug 18673: News author does not display on staff client home page

But not the footerjs = 1

Test plan:
From the main page of the staff interface, delete a news item
Without this patch applied you will not get a JS confirmation message

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Trivial fix.
Comment 5 Jonathan Druart 2017-08-08 12:46:20 UTC
Pushed to master for 17.11, thanks to everybody involved!